<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;FBSDKSharingDialog&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_f_b_s_d_k_sharing_dialog-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;FBSDKSharingDialog&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_f_b_s_d_k_sharing_8h_source.html">FBSDKSharing.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for &lt;FBSDKSharingDialog&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_f_b_s_d_k_sharing_dialog-p.png" usemap="#_3CFBSDKSharingDialog_3E_map" alt=""/>
  <map id="_3CFBSDKSharingDialog_3E_map" name="_3CFBSDKSharingDialog_3E_map">
<area href="protocol_f_b_s_d_k_sharing-p.html" alt="&lt;FBSDKSharing&gt;" shape="rect" coords="78,56,225,80"/>
<area href="interface_f_b_s_d_k_message_dialog.html" alt="FBSDKMessageDialog" shape="rect" coords="0,168,147,192"/>
<area href="interface_f_b_s_d_k_share_dialog.html" alt="FBSDKShareDialog" shape="rect" coords="157,168,304,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a68ec3b22db7bf5b908fdc12438d38159"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_sharing_dialog-p.html#a68ec3b22db7bf5b908fdc12438d38159">canShow</a></td></tr>
<tr class="separator:a68ec3b22db7bf5b908fdc12438d38159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a442b2571fe59477a403a9e14a7e9c1f6"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_sharing_dialog-p.html#a442b2571fe59477a403a9e14a7e9c1f6">show</a></td></tr>
<tr class="separator:a442b2571fe59477a403a9e14a7e9c1f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_protocol_f_b_s_d_k_sharing-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_f_b_s_d_k_sharing-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_f_b_s_d_k_sharing-p.html">&lt;FBSDKSharing&gt;</a></td></tr>
<tr class="memitem:af70f439e9b7caf3671d798c29458fe59 inherit pub_methods_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_f_b_s_d_k_sharing-p.html#af70f439e9b7caf3671d798c29458fe59">validateWithError:</a></td></tr>
<tr class="separator:af70f439e9b7caf3671d798c29458fe59 inherit pub_methods_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header properties_protocol_f_b_s_d_k_sharing-p"><td colspan="2" onclick="javascript:toggleInherit('properties_protocol_f_b_s_d_k_sharing-p')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="protocol_f_b_s_d_k_sharing-p.html">&lt;FBSDKSharing&gt;</a></td></tr>
<tr class="memitem:a310585baeb89d309bda3879aaa1be72d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_f_b_s_d_k_sharing_delegate-p.html">FBSDKSharingDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing-p.html#a310585baeb89d309bda3879aaa1be72d">delegate</a></td></tr>
<tr class="separator:a310585baeb89d309bda3879aaa1be72d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cc352e3d8e8aec628ba42e8718bbeaf inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing-p.html#a9cc352e3d8e8aec628ba42e8718bbeaf">shareContent</a></td></tr>
<tr class="separator:a9cc352e3d8e8aec628ba42e8718bbeaf inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1c01a21db7b956e8ea47df72f01d12d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_f_b_s_d_k_sharing-p.html#ac1c01a21db7b956e8ea47df72f01d12d">shouldFailOnDataError</a></td></tr>
<tr class="separator:ac1c01a21db7b956e8ea47df72f01d12d inherit properties_protocol_f_b_s_d_k_sharing-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The common interface for dialogs that initiate sharing. </p>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="a68ec3b22db7bf5b908fdc12438d38159"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68ec3b22db7bf5b908fdc12438d38159">&#9670;&nbsp;</a></span>canShow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) canShow </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>A Boolean value that indicates whether the receiver can initiate a share.</p>
<p>May return NO if the appropriate Facebook app is not installed and is required or an access token is required but not available. This method does not validate the content on the receiver, so this can be checked before building up the content.</p>
<ul>
<li>See:[<a class="el" href="protocol_f_b_s_d_k_sharing-p.html">FBSDKSharing</a> validateWithError:]<ul>
<li>Returns: YES if the receiver can share, otherwise NO. </li>
</ul>
</li>
</ul>

</div>
</div>
<a id="a442b2571fe59477a403a9e14a7e9c1f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a442b2571fe59477a403a9e14a7e9c1f6">&#9670;&nbsp;</a></span>show()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) show </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Shows the dialog.</p><ul>
<li>Returns: YES if the receiver was able to begin sharing, otherwise NO. </li>
</ul>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_f_b_s_d_k_sharing_8h_source.html">FBSDKSharing.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
